GLS ShipIT 5.0.17 GLS ShipIT - REST services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedServicesResponse Class Reference

## Public Member Functions
List< AllowedService > | getAllowedServices ()

## Protected Attributes
List< AllowedService > | allowedServices

## Detailed Description

Response (output) attributes for getAllowedServices request (matrix of product/article)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="AllowedServices" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}AllowedService" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedServicesResponse.java.

## Member Function Documentation

## ◆ getAllowedServices()

List<AllowedService> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedServicesResponse.getAllowedServices | ( |  | ) |

Gets the value of the allowedServices property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the allowedServices property.

For example, to add a new item, do as follows:

       getAllowedServices().add(newItem);

Objects of the following type(s) are allowed in the list AllowedService

Definition at line 69 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedServicesResponse.java.

## Member Data Documentation

## ◆ allowedServices

List<AllowedService> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedServicesResponse.allowedServices
| protected

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedServicesResponse.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedServicesResponse.java